   DIM i

   '----- LOOP , On each char
   FOR i = 0 TO 255
      '----- Print char  ( Ignoring problem chars )
      IF (i = 0) OR (i = 7) OR (i = 9) OR (i = 10) OR (i = 11) OR (i = 12) OR (i = 13) OR (i = 29) OR (i = 30) OR (i = 31) THEN
         PRINT "-";
      ELSE
         PRINT CHR$(i);
      END IF

      PRINT
   NEXT
